{% extends 'base.html.twig' %}

{% block title %}Hello VueController!{% endblock %}
{% block stylesheets %}
  {{encore_entry_link_tags('vue')}}
{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper" id="js-app">
    
    <h1 v-once> {*title*} ✅</h1>
      {*message*}
      <br>
      <button v-on:click="changeText">Click here </button>
      <input v-model="message">
      <h1 v-once="title"> Title </h1>
    <ul id="note-examen">
        <li v-for="nota in note">
        {*nota.simona*}
        </li>
    </ul>
    <ul id="v-for-object">
        <div v-for="(value,key) in noteObj">
        {*key + 1*} : {*value.firstName*} {*value.lastName*} => nota: {*value.nota*}     
        </div>
    </ul>
    JSON:
    {*json*}
    <hr>
    <ol>
      <li v-for="nota in json.data.note">
       {*nota*} 
      </li>
    </ol>
    <input type="text" v-model="value" v-on:keyup="alertMe">
    <br>
    <div v-on:mousemove="mPosition" class="patrat"> Coordonates {*x*} / {*y*}
    </div>

    This friendly message is coming from:
    <ul>
        <li>Your controller at <code><a href="{{ 'C:/Users/domnisoara_Simona/Documents/symphony/curs22-env/curs22-env/src/Controller/VueController.php'|file_link(0) }}">src/Controller/VueController.php</a></code></li>
        <li>Your template at <code><a href="{{ 'C:/Users/domnisoara_Simona/Documents/symphony/curs22-env/curs22-env/templates/vue/index.html.twig'|file_link(0) }}">templates/vue/index.html.twig</a></code></li>
    </ul>
    
{% endblock %}
{% block javascripts %}
  {{encore_entry_script_tags('vue')}}
{% endblock %}
